<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">

    <data>
        
        <variable
            name="item"
            type="String" />
        
    </data>

    <com.minminaya.widget.GeneralRoundLinearLayout
        android:id="@+id/ll_item_promotion_rewards_offer_root"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginLeft="@dimen/d_15dp"
        android:layout_marginRight="@dimen/d_15dp"
        android:layout_marginBottom="@dimen/d_10dp"
        android:orientation="vertical"
        app:corner_radius="@dimen/d_8dp">

        <androidx.constraintlayout.widget.ConstraintLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content">

            <ImageView
                android:id="@+id/iv_item_promotion_rewards_offer"
                android:layout_width="match_parent"
                android:layout_height="0dp"
                android:background="@color/gray"
                android:scaleType="centerCrop"
                app:layout_constraintDimensionRatio="345:228"
                app:layout_constraintLeft_toLeftOf="parent"
                app:layout_constraintRight_toRightOf="parent"
                app:layout_constraintTop_toTopOf="parent"
                tools:ignore="MissingConstraints" />

            <ImageView
                android:id="@+id/iv_item_promotion_rewards_offer_hot"
                android:layout_width="@dimen/d_70dp"
                android:layout_height="72dp"
                android:layout_marginLeft="@dimen/d_20dp"
                android:src="@drawable/iv_rewards_hot"
                app:layout_constraintLeft_toLeftOf="parent"
                tools:ignore="MissingConstraints" />

        </androidx.constraintlayout.widget.ConstraintLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:background="@color/app_blue"
            android:orientation="vertical">

            <com.guadou.lib_baselib.font_text_view.TextViewMedium
                android:id="@+id/tv_item_promotion_rewards_offer_title"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginLeft="@dimen/d_10dp"
                android:layout_marginTop="@dimen/d_10dp"
                android:layout_marginRight="@dimen/d_10dp"
                android:ellipsize="end"
                android:maxLines="2"
                android:text="Cute children multifunctional umbrella"
                android:textColor="@color/white"
                android:textSize="@dimen/d_15sp" />

            <com.guadou.lib_baselib.font_text_view.TextViewLight
                android:id="@+id/tv_item_promotion_rewards_offer_category"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginLeft="@dimen/d_10dp"
                android:layout_marginTop="@dimen/d_5dp"
                android:text="Daily use offer"
                android:textColor="@color/gray_promotion_rewards"
                android:textSize="@dimen/d_14sp" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/d_5dp"
                android:orientation="horizontal">

                <com.guadou.lib_baselib.font_text_view.TextViewBold
                    android:id="@+id/tv_item_promotion_rewards_offer_point"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="@dimen/d_10dp"
                    android:text="300"
                    android:textColor="#EBFF08"
                    android:textSize="@dimen/d_18sp" />

                <com.guadou.lib_baselib.font_text_view.TextViewLight
                    android:id="@+id/tv_item_promotion_rewards_offer_original_point"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="@dimen/d_5dp"
                    android:text="350"
                    android:textColor="@color/white"
                    android:textSize="@dimen/d_12sp" />

                <com.guadou.lib_baselib.font_text_view.TextViewLight
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="@dimen/d_5dp"
                    android:text="points"
                    android:textColor="@color/gray_promotion_rewards"
                    android:textSize="@dimen/d_14sp" />

            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_gravity="center_vertical"
                android:layout_marginLeft="@dimen/d_10dp"
                android:layout_marginTop="5dp"
                android:layout_marginBottom="@dimen/d_10dp"
                android:orientation="horizontal">

                <ImageView
                    android:id="@+id/iv_item_promotion_rewards_offer_address_icon"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginRight="@dimen/d_5dp"
                    android:src="@drawable/iv_rewards_address" />

                <com.guadou.lib_baselib.font_text_view.TextViewLight
                    android:id="@+id/tv_item_promotion_rewards_offer_address"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="176 Orchard Rd, #02-29/30 "
                    android:textColor="@color/white"
                    android:textSize="@dimen/d_15sp" />

            </LinearLayout>

        </LinearLayout>

    </com.minminaya.widget.GeneralRoundLinearLayout>

</layout>